/*
 * Copyright (C) 2011 Andre Noll <maan@tuebingen.mpg.de>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file crypt_backend.h Non-public crypto interface. */

/* This should only be included from files which provide crypto functions. */

/** AES block size in bytes. */
#define AES_CRT128_BLOCK_SIZE 16

size_t is_ssh_rsa_key(char *data, size_t size);
uint32_t read_ssh_u32(const void *vp);
int uudecode(const char *src, unsigned char *target, size_t targsize);
int check_ssh_key_header(const unsigned char *blob, int blen);
int check_key_file(const char *file, bool private_key);
int base64_decode(char const *src, unsigned char *target, size_t targsize);
